Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hornetq.spi.core.protocol
Interface ProtocolManager

All Superinterfaces:
  BufferDecoder

    public interface ProtocolManager

extends BufferDecoder

A ProtocolManager

Author:
  Tim Fox

Method Summary
`ConnectionEntry` | `createConnectionEntry(Acceptor acceptorUsed, Connection connection)`
`void` | `handleBuffer(RemotingConnection connection, HornetQBuffer buffer)`
`int` | `isReadyToHandle(HornetQBuffer buffer)` called by the remoting system prior to `BufferHandler.bufferReceived(Object, org.hornetq.api.core.HornetQBuffer)`.
`void` | `removeHandler(String name)`

Method Detail

### createConnectionEntry

    ConnectionEntry createConnectionEntry(Acceptor acceptorUsed,
                                          Connection connection)

### removeHandler

    void removeHandler(String name)

### isReadyToHandle

    int isReadyToHandle(HornetQBuffer buffer)

  Description copied from interface: `BufferDecoder`
  called by the remoting system prior to `BufferHandler.bufferReceived(Object, org.hornetq.api.core.HornetQBuffer)`.

  The implementation should return true if there is enough data in the buffer to decode. otherwise false.

  Specified by:
    `isReadyToHandle` in interface `BufferDecoder`
  Parameters:
    `buffer` - the buffer
  Returns:
    true id the buffer can be decoded..

### handleBuffer

    void handleBuffer(RemotingConnection connection,
                      HornetQBuffer buffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.